curl --request POST \
--url https://mcp.echozero.app/api/v1/users/me/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"agentId": "507f1f77bcf86cd799439011"
}
'{
"success": true,
"data": {
"success": true,
"message": "<string>",
"subscription": {
"agent": "<string>",
"subscribedAt": "2023-11-07T05:31:56Z",
"subscriptionType": "AUTO_TRADING",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tradeMode": "AUTO_TRADING",
"walletContext": "virtual",
"walletMode": "VIRTUAL",
"allocationMode": "PERCENTAGE_RANGE",
"allocationPercentageMin": 123,
"allocationPercentageMax": 123,
"allocationAmountUsd": 123,
"allocationAmountSol": 123,
"allocatedUsd": 123,
"inUseUsd": 123,
"withdrawableUsd": 123,
"currentBalanceUsd": 123,
"availableUsd": 123,
"inTradesUsd": 123,
"feeBufferUsd": 123,
"lockedInPositionsUsd": 123,
"venue": "JUPITER",
"hyperliquidTotalEquityUsd": 123,
"hyperliquidFreeMarginUsd": 123,
"bridgeStatus": "PENDING_BRIDGE",
"bridgeTransactionId": "<string>",
"pendingDeltaUsd": 123,
"minAllocationUsd": 123,
"minTradeUsd": 123,
"minPerTradePercent": 123,
"recommendedPerTradePercent": 123,
"maxConcurrentPositions": 123,
"maxEntriesPerTrade": 123,
"allocationBalanceAudit": {
"depositedUsd": 123,
"realizedPnlUsd": 123,
"unrealizedPnlUsd": 123,
"lockedMarginUsd": 123,
"feeBufferUsd": 123,
"ledgerAvailableUsd": 123,
"dustUsd": 123,
"pendingDeltaUsd": 123,
"reconciliationStatus": "IN_SYNC",
"netRealizedProfitUsd": 123,
"pendingPlatformFeeUsd": 123,
"pendingCreatorFeeUsd": 123,
"estimatedSuccessFeeUsd": 123,
"estimatedPlatformFeeUsd": 123,
"estimatedCreatorFeeUsd": 123,
"netUserPayoutUsd": 123,
"venueEquityUsd": 123,
"venueFreeMarginUsd": 123,
"venueGapUsd": 123,
"bridgeStatus": "PENDING_BRIDGE"
},
"goLiveUponConfirmation": true,
"isPaused": true
},
"agentName": "<string>",
"agentImageUrl": "<string>",
"strategyCount": 123
}
}User
Subscribe to (follow) an internal agent
POST
/
api
/
v1
/
users
/
me
/
subscriptions
curl --request POST \
--url https://mcp.echozero.app/api/v1/users/me/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"agentId": "507f1f77bcf86cd799439011"
}
'{
"success": true,
"data": {
"success": true,
"message": "<string>",
"subscription": {
"agent": "<string>",
"subscribedAt": "2023-11-07T05:31:56Z",
"subscriptionType": "AUTO_TRADING",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tradeMode": "AUTO_TRADING",
"walletContext": "virtual",
"walletMode": "VIRTUAL",
"allocationMode": "PERCENTAGE_RANGE",
"allocationPercentageMin": 123,
"allocationPercentageMax": 123,
"allocationAmountUsd": 123,
"allocationAmountSol": 123,
"allocatedUsd": 123,
"inUseUsd": 123,
"withdrawableUsd": 123,
"currentBalanceUsd": 123,
"availableUsd": 123,
"inTradesUsd": 123,
"feeBufferUsd": 123,
"lockedInPositionsUsd": 123,
"venue": "JUPITER",
"hyperliquidTotalEquityUsd": 123,
"hyperliquidFreeMarginUsd": 123,
"bridgeStatus": "PENDING_BRIDGE",
"bridgeTransactionId": "<string>",
"pendingDeltaUsd": 123,
"minAllocationUsd": 123,
"minTradeUsd": 123,
"minPerTradePercent": 123,
"recommendedPerTradePercent": 123,
"maxConcurrentPositions": 123,
"maxEntriesPerTrade": 123,
"allocationBalanceAudit": {
"depositedUsd": 123,
"realizedPnlUsd": 123,
"unrealizedPnlUsd": 123,
"lockedMarginUsd": 123,
"feeBufferUsd": 123,
"ledgerAvailableUsd": 123,
"dustUsd": 123,
"pendingDeltaUsd": 123,
"reconciliationStatus": "IN_SYNC",
"netRealizedProfitUsd": 123,
"pendingPlatformFeeUsd": 123,
"pendingCreatorFeeUsd": 123,
"estimatedSuccessFeeUsd": 123,
"estimatedPlatformFeeUsd": 123,
"estimatedCreatorFeeUsd": 123,
"netUserPayoutUsd": 123,
"venueEquityUsd": 123,
"venueFreeMarginUsd": 123,
"venueGapUsd": 123,
"bridgeStatus": "PENDING_BRIDGE"
},
"goLiveUponConfirmation": true,
"isPaused": true
},
"agentName": "<string>",
"agentImageUrl": "<string>",
"strategyCount": 123
}
}Authorizations
bearer-jwtapi-key
User JWT access token issued by POST /api/auth/verify or POST /api/auth/social/verify. Routes that accept both auth modes declare api-key and bearer-jwt security schemes.
Headers
Required for API-key authenticated requests. HMAC-SHA256(secretKey, timestamp + METHOD + path + body) as lowercase hex. Omit only for JWT/OAuth session tokens or public routes.
Required with x-signature. Epoch milliseconds; rejected if drift exceeds 5 minutes. Omit only for JWT/OAuth session tokens or public routes.
Body
application/json
Internal agent id to follow
Available options:
AUTO_TRADING, ALERTS_ONLY, TEST_TRADING, FULL_TRADING Available options:
PERCENTAGE_RANGE, USD_AMOUNT, SOL_AMOUNT When true, the agent starts trading immediately after configuration
When true, pause the agent subscription from executing trades